package com.ruoyi.ibs.list.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 活动对象 sys_campaign
 *
 * @author ruoyi
 * @date 2024-09-11
 */
@Data
public class SysCampaign extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    private Date timeNow;


    private String secondPushStatus;
    /**
     * 活动名称(任务名称)
     */
//    @Excel(name = "活动名称")
    private String campaignLevel;

    private String isHead;

    private String userName;
    private String deptType;
    private List<String> groupIds;

    private  String loginOrg3;

    /**
     * 活动名称(任务名称)
     */
    @Excel(name = "活动名称")
    private String campaignName;

    @Excel(name = "活动id(任务id)")
    private String campaignId;


    private List<SysGroup> groups;


    private String groupName;

    private String  custName;

    private String custPhone;

    private String custIsn;

    //走访类型
    private String visitType;

    private Boolean isCooperate;
    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    /**
     * 活动开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "活动开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 活动结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "活动结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 活动紧急程度，高，中，低
     */
    @Excel(name = "活动紧急程度，高，中，低")
    private String campaignDegree;

    /**
     * 删除标志(0代表存在，2代表删除)
     */
    private String delFlag;

    /**
     * 活动类型，走访，电话，短信
     */
    @Excel(name = "活动类型，走访，电话，短信")
    private String campaignType;

    /**
     * 认领类型，'0'强制认领，'1'可选认领
     */
    @Excel(name = "认领类型，'0'强制认领，'1'可选认领")
    private String claimType;

    /**
     * 分配规则，'0'手动指定，'1'按照客户归属，'2'按照地址归属
     */
    @Excel(name = "第一优先级分配规则，'0'手动指定，'1'按照客户归属，'2'按照地址归属")
    private String distributeType;


    private String distributeCont;


    private String distributeCont2;


    private String distributeCont3;



    private String orgClaimStatus;


    private String orgDistributeStatus;


    private String custClaimStatus;


    /**
     * 分配规则，'0'手动指定，'1'按照客户归属，'2'按照地址归属
     */
    @Excel(name = "第二优先级分配规则，'0'手动指定，'1'按照客户归属，'2'按照地址归属")
    private String distributeType2;

    /**
     * 分配规则，'0'手动指定，'1'按照客户归属，'2'按照地址归属
     */
    @Excel(name = "第三优先级分配规则，'0'手动指定，'1'按照客户归属，'2'按照地址归属")
    private String distributeType3;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "认领开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date claimStartTime;

    /**
     * 活动结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "认领结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date claimEndTime;


    /**
     * 执行人，'0'机构，'1'个人，'2'混合分配
     */
    private String executer;

    /**
     * 活动创建角色，0总行管理员，1支行管理员
     */
    private String createRole;



    private String createName;
    /**
     * 客群id
     */
    private String groupId;

    /**
     *活动是否二次推送过，0未推送，1已推送
     */


    /** 任务类型，0营销任务，1事务任务 */
    @Excel(name = "任务类型，0营销任务，1事务任务")
    private String taskType;

    /** 考核目标，存款营销，贷款营销，产品营销，贷前调查，贷后回访，预期催收，其他 */
    @Excel(name = "考核目标，存款营销，贷款营销，产品营销，贷前调查，贷后回访，预期催收，其他")
    private String checkTarget;

    /** 任务指标 */
    @Excel(name = "任务指标")
    private String taskIndex;

    /** 奖励说明 */
    @Excel(name = "奖励说明")
    private String reward;

    /** 反馈要求，无，签到签退，拍照，反馈记录 */
    @Excel(name = "反馈要求，无，签到签退，拍照，反馈记录")
    private String feedBack;

    /** 客户类型 0个人，1商户，2企业 */
    @Excel(name = "客户类型 0个人，1商户，2企业")
    private String custType;

    private String relatedModelId;

    public String getRelatedModelId() {
        return relatedModelId;
    }

    public void setRelatedModelId(String relatedModelId) {
        this.relatedModelId = relatedModelId;
    }

    private Long customerNum;

    private List<Long> userIds;

    private List<Long> virtualGridIds;

    private List<Long> layerIds;

    public SysCampaign() {
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCampaignName(String campaignName) {
        this.campaignName = campaignName;
    }

    public String getCampaignName() {
        return campaignName;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setCampaignDegree(String campaignDegree) {
        this.campaignDegree = campaignDegree;
    }

    public String getCampaignDegree() {
        return campaignDegree;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setCampaignType(String campaignType) {
        this.campaignType = campaignType;
    }

    public String getCampaignType() {
        return campaignType;
    }

    public void setClaimType(String claimType) {
        this.claimType = claimType;
    }

    public String getClaimType() {
        return claimType;
    }

    public void setDistributeType(String distributeType) {
        this.distributeType = distributeType;
    }

    public String getDistributeType() {
        return distributeType;
    }

    public String getCampaignId() {
        return campaignId;
    }

    public void setCampaignId(String campaignId) {
        this.campaignId = campaignId;
    }

    public Date getClaimStartTime() {
        return claimStartTime;
    }

    public void setClaimStartTime(Date claimStartTime) {
        this.claimStartTime = claimStartTime;
    }

    public Date getClaimEndTime() {
        return claimEndTime;
    }

    public void setClaimEndTime(Date claimEndTime) {
        this.claimEndTime = claimEndTime;
    }

    public String getExecuter() {
        return executer;
    }

    public void setExecuter(String executer) {
        this.executer = executer;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getSecondPushStatus() {
        return secondPushStatus;
    }

    public void setSecondPushStatus(String secondPushStatus) {
        this.secondPushStatus = secondPushStatus;
    }


    public String getDistributeType2() {
        return distributeType2;
    }

    public void setDistributeType2(String distributeType2) {
        this.distributeType2 = distributeType2;
    }

    public String getDistributeType3() {
        return distributeType3;
    }

    public void setDistributeType3(String distributeType3) {
        this.distributeType3 = distributeType3;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getCheckTarget() {
        return checkTarget;
    }

    public void setCheckTarget(String checkTarget) {
        this.checkTarget = checkTarget;
    }

    public String getTaskIndex() {
        return taskIndex;
    }

    public void setTaskIndex(String taskIndex) {
        this.taskIndex = taskIndex;
    }

    public String getReward() {
        return reward;
    }

    public void setReward(String reward) {
        this.reward = reward;
    }

    public String getFeedBack() {
        return feedBack;
    }

    public void setFeedBack(String feedBack) {
        this.feedBack = feedBack;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public Long getCustomerNum() {
        return customerNum;
    }

    public void setCustomerNum(Long customerNum) {
        this.customerNum = customerNum;
    }

    public List<Long> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

    public List<Long> getVirtualGridIds() {
        return virtualGridIds;
    }

    public void setVirtualGridIds(List<Long> virtualGridIds) {
        this.virtualGridIds = virtualGridIds;
    }

    public List<Long> getLayerIds() {
        return layerIds;
    }

    public void setLayerIds(List<Long> layerIds) {
        this.layerIds = layerIds;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("campaignName", getCampaignName())
                .append("campaignId", getCampaignId())
                .append("deptId", getDeptId())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("campaignDegree", getCampaignDegree())
                .append("remark", getRemark())
                .append("delFlag", getDelFlag())
                .append("campaignType", getCampaignType())
                .append("claimType", getClaimType())
                .append("distributeType", getDistributeType()).append("distributeType2", getDistributeType2()).append("distributeType3", getDistributeType3())
                .append("claimStartTime", getClaimStartTime()).append("claimEndTime", getClaimEndTime())
                .append("executer", getExecuter()).append("createRole", getCreateRole()).append("groupId", getGroupId()).append("secondPushStatus",getSecondPushStatus())
                .append("taskType",getTaskType()).append("checkTarget",getCheckTarget()).append("taskIndex",getTaskIndex())
                .append("reward",getReward()).append("feedBack",getFeedBack()).append("custType",getCustType())
                .append("customerNum", getCustomerNum())
                .toString();
    }

    public String getCampaignLevel() {
        return campaignLevel;
    }

    public void setCampaignLevel(String campaignLevel) {
        this.campaignLevel = campaignLevel;
    }

    public String getLoginOrg3() {
        return loginOrg3;
    }

    public void setLoginOrg3(String loginOrg3) {
        this.loginOrg3 = loginOrg3;
    }

    public List<String> getGroupIds() {
        return groupIds;
    }

    public void setGroupIds(List<String> groupIds) {
        this.groupIds = groupIds;
    }

    public String getIsHead() {
        return isHead;
    }

    public void setIsHead(String isHead) {
        this.isHead = isHead;
    }

    public String getDeptType() {
        return deptType;
    }

    public void setDeptType(String deptType) {
        this.deptType = deptType;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public List<SysGroup> getGroups() {
        return groups;
    }

    public void setGroups(List<SysGroup> groups) {
        this.groups = groups;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustPhone() {
        return custPhone;
    }

    public void setCustPhone(String custPhone) {
        this.custPhone = custPhone;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getDistributeCont() {
        return distributeCont;
    }

    public void setDistributeCont(String distributeCont) {
        this.distributeCont = distributeCont;
    }

    public String getDistributeCont2() {
        return distributeCont2;
    }

    public void setDistributeCont2(String distributeCont2) {
        this.distributeCont2 = distributeCont2;
    }

    public String getDistributeCont3() {
        return distributeCont3;
    }

    public void setDistributeCont3(String distributeCont3) {
        this.distributeCont3 = distributeCont3;
    }

    public String getOrgClaimStatus() {
        return orgClaimStatus;
    }

    public void setOrgClaimStatus(String orgClaimStatus) {
        this.orgClaimStatus = orgClaimStatus;
    }

    public String getOrgDistributeStatus() {
        return orgDistributeStatus;
    }

    public void setOrgDistributeStatus(String orgDistributeStatus) {
        this.orgDistributeStatus = orgDistributeStatus;
    }

    public String getCustClaimStatus() {
        return custClaimStatus;
    }

    public void setCustClaimStatus(String custClaimStatus) {
        this.custClaimStatus = custClaimStatus;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getTimeNow() {
        return timeNow;
    }

    public void setTimeNow(Date timeNow) {
        this.timeNow = timeNow;
    }

    public String getVisitType() {
        return visitType;
    }

    public void setVisitType(String visitType) {
        this.visitType = visitType;
    }

    public Boolean getCooperate() {
        return isCooperate;
    }

    public void setCooperate(Boolean cooperate) {
        isCooperate = cooperate;
    }
}
